Subject: categories: Re: Semigroups with many objects

From: [email-masked]
Date: Sat, 26 Nov 2005 09:49:07 EST

Well, it does seem that "semigroupoids" is the preferred terminology.
Searching on this term through the math xxx archive pulls up a number of papers
which study various kinds of C star algebras built on top of  semigroupoids.
The idea is to use the objects of the semigroupoid to index  a basis in a
(separable) Hilbert space and to use the arrows to define partial  isometries of
this Hilbert space in the obvious way. The algebra closure in the  weak operator
topology then defines the "semigroupoid" C star algbera. Of course  this
algebra does contain one idempotent for each object, but this is a  consequence of
taking the algebra- closure of the set of patial isometries  defined by the
arrows.

Carl Futia